Method: notebooks.list

Lists notebooks accessible to the authenticated user. This includes notebooks owned by the user as well as notebooks shared with them.

HTTP request

GET https://notebook.googleapis.com/v1/notebooks

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of notebooks to return. The service may return fewer than this value. If unspecified, at most 50 notebooks will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A page token, received from a previous notebooks.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to notebooks.list must match the call that provided the page token.

filter

string

Optional. A filter string to apply to the list of notebooks.

Supported filters:

  • notebook.is_owner = true: Return only notebooks the caller owns.
  • notebook.is_owner = false: Return only notebooks shared with the caller.

If the filter is empty, all notebooks accessible to the caller are returned (both owned and shared). Other filters are rejected with INVALID_ARGUMENT.

Request body

The request body must be empty.

Response body

Response message for NotebookService.ListNotebooks.

If successful, the response body contains data with the following structure:

JSON representation
{
  "notebooks": [
    {
      object (Notebook)
    }
  ],
  "nextPageToken": string
}
Fields
notebooks[]

object (Notebook)

The notebooks accessible to the authenticated user.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/notebook
  • https://www.googleapis.com/auth/notebook.readonly

For more information, see the Authentication guide.